aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/opal-ci/build-docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/opal-ci/build-docs.sh')
-rwxr-xr-xroms/skiboot/opal-ci/build-docs.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/roms/skiboot/opal-ci/build-docs.sh b/roms/skiboot/opal-ci/build-docs.sh
new file mode 100755
index 000000000..4125f33d1
--- /dev/null
+++ b/roms/skiboot/opal-ci/build-docs.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(grep -c processor /proc/cpuinfo)
+export CROSS="ccache powerpc64-linux-gnu-"
+
+make -j${MAKE_J} SKIBOOT_GCOV=1 coverage-report
+
+pip install -r doc/requirements.txt
+(cd doc; make html)
+
+cp -r doc/ghpages-skeleton doc/_build/ghpages
+mv coverage-report doc/_build/ghpages/
+mv doc/_build/html doc/_build/ghpages/doc